Subject: [bug#57430] [PATCH] gnu: wayland-protocols: Fix cross-compilation

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 26 Aug 2022 21:22:48 +0200

Am Freitag, dem 26.08.2022 um 20:58 +0200 schrieb Maxime Devos:
> For example, until recent-ish, GCC did -fcommon as a default, but
> later switched to -fcommon, breaking some builds.
You probably typo'd there.

> Additionally, sometimes I find it more practical to write a patch,
> add it to the package definition and do a "guix build", than to do 
> whatever's the meson equivalent of 'make && make check'.
This is good advice for everyone regardless of build system, even if
you do also run make && make check manually.  guix build addresses
several other issues, particular in the graphics toolkit world :)